﻿// Helper function that checks if we're in edit mode, and if yes, adds the toolbar to the HTML
function ToolbarAddEdit(modController, itemJson) {
    // Manage is null if not logged in an in edit mode
    return (modController.manage == null )
        ? ""
        : modController.manage.getToolbar([
            { action:"edit", entityId: itemJson.EntityId, useModuleList: true, sortOrder: itemJson._2sxcEditInformation.sortOrder },
            { action:"new", useModuleList: true, sortOrder: itemJson._2sxcEditInformation.sortOrder }
        ]); 

};

function ToolbarDefault(modController, itemJson) {
    // Manage is null if not logged in an in edit mode
    return (modController.manage == null )
        ? ""
        : modController.manage.getToolbar({ useModuleList: true, sortOrder: itemJson._2sxcEditInformation.sortOrder }); 
};
